<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div class="content-box">
 *
 * @package tafri-travel
 */

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width">
  <link rel="profile" href="<?php echo esc_url( __( 'http://gmpg.org/xfn/11', 'tafri-travel' ) ); ?>">
  <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<a class="screen-reader-text skip-link" href="#main"><?php esc_html_e( 'Skip to content', 'tafri-travel' ); ?></a>
<div class="top-header">
  <div class="container">
    <div class="row">
      <div class="col-lg-5 col-md-5">
        <div class="timing">
          <?php if( get_theme_mod('tafri_travel_timing') != ''){ ?>
            <p><i class="far fa-clock"></i><?php echo esc_html( get_theme_mod('tafri_travel_timing','')); ?></p>
          <?php } ?>
        </div>
      </div>
      <div class="col-lg-4 col-md-4">
        <div class="social-icons">
          <?php if( get_theme_mod( 'tafri_travel_facebook_url') != '') { ?>
            <a href="<?php echo esc_url( get_theme_mod( 'tafri_travel_facebook_url','' ) ); ?>"><i class="fab fa-facebook-f" aria-hidden="true"></i><span class="screen-reader-text"><?php esc_attr_e( 'Facebook','tafri-travel' );?></span></a><span>/</span>
            <?php } ?>
            <?php if( get_theme_mod( 'tafri_travel_twitter_url') != '') { ?>
            <a href="<?php echo esc_url( get_theme_mod( 'tafri_travel_twitter_url','' ) ); ?>"><i class="fab fa-twitter"></i><span class="screen-reader-text"><?php esc_attr_e( 'Twitter','tafri-travel' );?></span></a><span>/</span>
            <?php } ?>
            <?php if( get_theme_mod( 'tafri_travel_insta_url') != '') { ?>
            <a href="<?php echo esc_url( get_theme_mod( 'tafri_travel_insta_url','' ) ); ?>"><i class="fab fa-instagram"></i><span class="screen-reader-text"><?php esc_attr_e( 'Instagram','tafri-travel' );?></span></a><span>/</span>
            <?php } ?> 
            <?php if( get_theme_mod( 'tafri_travel_linkedin_url') != '') { ?>
            <a href="<?php echo esc_url( get_theme_mod( 'tafri_travel_linkedin_url','' ) ); ?>"><i class="fab fa-linkedin-in"></i><span class="screen-reader-text"><?php esc_attr_e( 'Linkedin','tafri-travel' );?></span></a><span>/</span>
            <?php } ?> 
            <?php if( get_theme_mod( 'tafri_travel_pintrest_url') != '') { ?>
            <a href="<?php echo esc_url( get_theme_mod( 'tafri_travel_pintrest_url','' ) ); ?>"><i class="fab fa-pinterest-p"></i><span class="screen-reader-text"><?php esc_attr_e( 'Pinterest','tafri-travel' );?></span></a><span>/</span>
            <?php } ?>  
            <?php if( get_theme_mod( 'tafri_travel_youtube_url') != '') { ?>
            <a href="<?php echo esc_url( get_theme_mod( 'tafri_travel_youtube_url','' ) ); ?>"><i class="fab fa-youtube"></i><span class="screen-reader-text"><?php esc_attr_e( 'Youtube','tafri-travel' );?></span></a>
          <?php } ?>
        </div> 
      </div>
      <div class="col-lg-1 col-md-1">
        <div class="search-box">
          <i class="fas fa-search"></i>
        </div>
      </div>
      <div class="col-lg-2 col-md-2">
        <p class="account-btn">
          <a href="<?php the_permalink((get_option('woocommerce_myaccount_page_id'))); ?>"><i class="fas fa-user"></i><?php echo esc_html_e('My Account','tafri-travel'); ?><span class="screen-reader-text"><?php esc_html_e( 'My Account','tafri-travel' );?></span></a>
        </p>
      </div>
    </div>
    <div class="serach_outer">
      <div class="closepop"><i class="far fa-window-close"></i></div>
      <div class="serach_inner">
       <?php get_search_form(); ?>
      </div>
    </div>
  </div>
</div>
<div id="header">
  <div class="container">
    <div class="main-menu">
      <div id="resmenu-sidebar" class="nav sidebar">
        <nav id="primary-site-menu" class="primary-menu" role="navigation" aria-label="<?php esc_attr_e( 'Top Menu', 'tafri-travel' ); ?>">
          <a href="javascript:void(0)" class="closebtn responsive-menu" onclick="resMenu_close()"><i class="fas fa-times"></i><span class="screen-reader-text"><?php esc_html_e('Close Menu','tafri-travel'); ?></span></a>
          <?php 
            wp_nav_menu( array( 
              'theme_location' => 'responsive-menu',
              'container_class' => 'main-menu-navigation clearfix' ,
              'menu_class' => 'clearfix',
              'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav">%3$s</ul>',
              'fallback_cb' => 'wp_page_menu',
            ) ); 
          ?>
        </nav>
      </div>
      <div class="row">
        <div class="col-lg-4 col-md-12">
          <div role="navigation" class="nav left-menu">
            <nav id="primary-site-menu" class="primary-menu" role="navigation" aria-label="<?php esc_attr_e( 'Left Menu', 'tafri-travel' ); ?>">
              <?php 
                wp_nav_menu( array( 
                  'theme_location' => 'left-primary',
                  'container_class' => 'main-menu-navigation clearfix' ,
                  'menu_class' => 'clearfix',
                  'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav">%3$s</ul>',
                  'fallback_cb' => 'wp_page_menu',
                ) ); 
              ?>
            </nav>
          </div>
        </div>
        <div class="col-lg-4 col-md-6 col-9">
          <div class="logo">
            <?php if( has_custom_logo() ){ tafri_travel_the_custom_logo();
            }else{ ?>
            <h1><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
            <?php $description = get_bloginfo( 'description', 'display' );
              if ( $description || is_customize_preview() ) : ?> 
            <p class="site-description"><?php echo esc_html($description);?></p>       
            <?php endif; }?>
          </div>
        </div>
        <div class="col-lg-4 col-md-6 col-3">
          <div class="toggle-menu responsive-menu">
            <button role="tab" onclick="resMenu_open()"><i class="fas fa-bars"></i><span class="screen-reader-text"><?php esc_html_e('Open Menu','tafri-travel'); ?></span></button>
          </div>
          <div role="navigation" class="nav right-menu">
            <nav id="primary-site-menu" class="primary-menu" role="navigation" aria-label="<?php esc_attr_e( 'Right Menu', 'tafri-travel' ); ?>">
              <?php 
                wp_nav_menu( array( 
                  'theme_location' => 'right-primary',
                  'container_class' => 'main-menu-navigation clearfix' ,
                  'menu_class' => 'clearfix',
                  'items_wrap' => '<ul id="%1$s" class="%2$s mobile_nav">%3$s</ul>',
                  'fallback_cb' => 'wp_page_menu',
                ) ); 
              ?>
            </nav>
          </div>
        </div>
      </div>
      <hr>
    </div>
  </div>
</div>